# Module serde_json::map

source · [−]
Expand description

A map of String to serde_json::Value.

By default the map is backed by a `BTreeMap`. Enable the `preserve_order` feature of serde_json to use `IndexMap` instead.

## Structs

IntoIter

An owning iterator over a serde_json::Map’s entries.

Iter

An iterator over a serde_json::Map’s entries.

IterMut

A mutable iterator over a serde_json::Map’s entries.

Keys

An iterator over a serde_json::Map’s keys.

Map

Represents a JSON key/value type.

OccupiedEntry

An occupied Entry. It is part of the `Entry` enum.

VacantEntry

A vacant Entry. It is part of the `Entry` enum.

Values

An iterator over a serde_json::Map’s values.

ValuesMut

A mutable iterator over a serde_json::Map’s values.

## Enums

Entry

A view into a single entry in a map, which may either be vacant or occupied. This enum is constructed from the `entry` method on `Map`.